### Method

# Qmi MessageNasSetSystemSelectionPreferenceInput set_network_selection_preference

since: 1.0

#### Declaration [src]

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_network_selection_preference (
      QmiMessageNasSetSystemSelectionPreferenceInput* self,
      QmiNasNetworkSelectionPreference value_network_selection_preference_mode,
      guint16 value_network_selection_preference_mcc,
      guint16 value_network_selection_preference_mnc,
      GError** error
    )

#### Description [src]

Set the ‘Network Selection Preference’ field in the message.

Available since: 1.0

#### Parameters

`value_network_selection_preference_mode`

  Type: `QmiNasNetworkSelectionPreference`

  A `QmiNasNetworkSelectionPreference`.

`value_network_selection_preference_mcc`

  Type: `guint16`

  A #guint16.

`value_network_selection_preference_mnc`

  Type: `guint16`

  A #guint16.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.